//
//  HTML5AdViewController.swift
//  DemoApp
//
//  Created by Djax on 29/12/23.
//

import UIKit
import SDK_Lib
import WebKit

class HTML5AdViewController: UIViewController {

    @IBOutlet weak var bannerView1: WKWebView!
    @IBOutlet weak var banner1WebHeightConstraint: NSLayoutConstraint?
    
    var yeahAds = AdResponse()
        
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.banner1WebHeightConstraint?.constant = 0
        
        yeahAds.webViewDelegate = self
        yeahAds.html5AdIntegration()
    }
}
extension HTML5AdViewController : WebViewUpdateDelegate {
    func updateAdView(webV: UIView) {
        banner1WebHeightConstraint?.constant = webV.frame.size.height
        bannerView1?.addSubview(webV)
    }
}
