//
//  RedirectAdViewController.swift
//  DemoApp
//
//  Created by Djax on 29/12/23.
//

import UIKit
import SDK_Lib

class RedirectAdViewController: UIViewController {
    
    var yeahAds = AdResponse()
    
    var strUrl:String? = ""
    
    override func viewDidLoad() {
        super.viewDidLoad()
        yeahAds.linkDelegate = self
        yeahAds.linkAdIntegration()
    }
}
extension RedirectAdViewController : LinkUpdateDelegate {
    func updateLinkAd(str:String) {
        let label = UILabel(frame: CGRect(x: 0, y: view.frame.size.height - 97, width: view.frame.size.width, height: 60))
        label.text = "Direct Link - Click Here"
        label.textColor = .red
        label.textAlignment = .center
        label.backgroundColor = .white
        
        let labelTap = UITapGestureRecognizer(target: self, action: #selector(self.labelTapped(_:)))
        label.isUserInteractionEnabled = true
        label.addGestureRecognizer(labelTap)
        self.view.addSubview(label)
        self.strUrl = str
    }
    @objc func labelTapped(_ sender: UITapGestureRecognizer) {
        if let url = URL(string: self.strUrl ?? "") {
            if #available(iOS 10, *){
                UIApplication.shared.open(url)
            }else{
                UIApplication.shared.openURL(url)
            }
        }
    }
}
