//
//  Rewarded_Video_Ad.swift
//  DemoApp
//
//  Created by Djax on 05/09/22.
//

import UIKit
import SDK_Lib
import WebKit
import AVFoundation

class RewardedAdViewController: UIViewController {
   
    
    @IBOutlet weak var rewardPointsLbl: UILabel!
    
    var rewarded_zoneId: String = ""
    var fromPage: String = ""
    var adResponse = AdResponse()
    var rewardPoints : Array<Dictionary<String,AnyObject>> = []
    
    override func viewDidLoad() {
        super.viewDidLoad()
        if UserDefaults.standard.string(forKey: "RewardPoints") != nil {
            self.rewardPointsLbl.text = "Total Reward Points: \n \n \(UserDefaults.standard.string(forKey: "RewardPoints") ?? "")"
        }
        else {
            self.rewardPointsLbl.text = "Total Reward Points: \n \n 0"
        }
        
        self.adResponse.rewardDelegate = self
        adResponse.rewardedVideoAds_Load()
        adResponse.rewardedVideoAds_Show()
    }
}
extension RewardedAdViewController : RewardUpdateDelegate {
    func rewardUpdate(point: NSInteger) {
        print(point)
    }
    
}
