//
//  TopBannerAdVc.swift
//  DemoApp
//
//  Created by Djax on 23/06/23.
//

import UIKit
import WebKit
import SDK_Lib

class TopBannerAdVc: UIViewController {
    
    var adResponse = AdResponse()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        adResponse.webViewDelegate = self
        adResponse.topBannerAdIntegration()
    }
}
extension TopBannerAdVc : WebViewUpdateDelegate {
    func updateAdView(webV: UIView)
    {
        let adView = WKWebView(frame: CGRect(x: webV.frame.origin.x, y: webV.frame.origin.y, width: webV.frame.size.height, height: webV.frame.size.height))
        adView.addSubview(webV)
        self.view.addSubview(adView)
    }
}

