<?php

/*
+---------------------------------------------------------------------------+
| OpenX v${RELEASE_MAJOR_MINOR}                                                                |
| =======${RELEASE_MAJOR_MINOR_DOUBLE_UNDERLINE}                                                                |
|                                                                           |
| Copyright (c) 2003-2009 OpenX Limited                                     |
| For contact details, see: http://www.openx.org/                           |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Stats_country.php 31004 2009-01-16 10:42:22Z andrew.hill $
*/

/**
 * Table Definition for stats_country
 */
require_once MAX_PATH.'/lib/max/Dal/DataObjects/DB_DataObjectCommon.php';

class DataObjects_Stats_advtracking extends DB_DataObjectCommon
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    public $__table = 'stats_advtracking';                   
     public $stats_advtracking_id;
     public $date_time;
     public $creative_id;
     public $zone_id;
     public $impressions;
     public $clicks;
     public $bundle_id;
     public $connection_type;
     public $brand;
     public $os;
     public $os_version;
     public $screen_height;
     public $screen_width;
     public $network;
     public $timezone;
     public $ud_id;
     public $user_agent;
     public $user_name;
     public $user_email;
     public $user_phno;
     public $user_language;
     public $data_speed;
     public $device_type;
     public $didsha1;
     public $didmd5;  
     public $viewerage;
     public $viewergender;
     public $devicemodel;                    // CHAR(3) => openads_char => 130

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DataObjects_Stats_advtracking',$k,$v); }


    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
}
?>