<?php

// Require the initialisation file
$path = dirname(__FILE__);
require_once '../../../../init.php';
// Required files
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);


$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form
$aErrormessage = array();
$oOptions = new OA_Admin_Option('manage_apps');
$prefSection = "Add App";

// Set the correct section of the preference pages and display the drop-down menu
$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Add App");
phpAds_PageHeader('manage_apps',$oHeaderModel);

//$oOptions->show($aSettings, $aErrormessage);
$aConf = $GLOBALS['_MAX']['CONF'];

$path1 = $aConf['webpath']['admin'].'/assets/images/no-image.png';

$path = $GLOBALS['_MAX']['SSL_REQUEST'] ? "https://".$path1  : "http://".$path1;

$category=[];
$cat=OA_Dal_Delivery_query("SELECT category_name,value,parent_category_id FROM mediation_site_categories ORDER BY category_id");

	while($row=OA_Dal_Delivery_fetchAssoc($cat)) 
	{
		$category[]=array('name'=>$row['category_name'],'value'=>$row['value'],'parent'=>$row['parent_category_id']);
			
	}

$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT account_id FROM {$table_prefix}affiliates WHERE affiliateid='".$_GET['affiliateid']."'"));

$sel_appdeails =OA_Dal_Delivery_query("SELECT platform_type,app_name,package_name,app_category1,icon_image FROM mediation_app_detail WHERE account_id='".$account_id['account_id']."' and appid='".$_GET['appid']."' ");

	if(OA_Dal_Delivery_numRows($sel_appdeails)>0)
	{
		$approw=OA_Dal_Delivery_fetchAssoc($sel_appdeails);	
	}

	if($_POST['submit']=='Save Changes')
	{
		///////Image Upload Starts ///////
		$dir = __DIR__;
		$im_path=(explode("admin",$dir));
		$name = $_FILES['fileToUpload']['name'];	
		$target_dir = $im_path[0] .'images/';
		$target_file = $target_dir . basename($_FILES["fileToUpload"]["name"]);

		// Select file type
		$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));

		// Valid file extensions
		 $extensions_arr = array("jpg","jpeg","png","gif");

		// Check extension
		 if( in_array($imageFileType,$extensions_arr) ){
		 
		// Insert record
		 //~ $query = OA_Dal_Delivery_query("insert into images(name) values('".$name."')");
		move_uploaded_file($_FILES['fileToUpload']['tmp_name'],$target_dir.$name);
		}
		 ///////Image Upload Ends ///////
		
		$todays_date = date("Y-m-d H:i:s");
				
		foreach($_POST['app_categories'] as $selcat1)
		{
			$selcat_new[] = $selcat1; 	
		}
			$selcat=implode(",",$selcat_new); 				
						
		if($_GET['mode'] == 'add')
		{		
			OA_Dal_Delivery_query("INSERT INTO mediation_app_detail(account_id, platform_type,app_name,package_name,app_category1,icon_image,icon_image_width, 	icon_image_height,app_added_date,updated_date) VALUES('".$account_id['account_id']."','".$_POST['platform_type']."','".$_POST['app_name']."','".$_POST['pack_name']."','".$selcat."','".$name."','50','50','".$todays_date."','".$todays_date."')");
						
			$last_insertappid = OA_Dal_Delivery_insertId();
			
			$cat_sel = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT app_category1 FROM mediation_app_detail WHERE appid =".$last_insertappid));
			
			$inserted_cat=explode(",",$cat_sel['app_category1']);
			
			foreach($inserted_cat as $cat_assoc)
			{
			OA_Dal_Delivery_query("INSERT INTO mediation_app_category_assoc(appid, category_id1) VALUES('".$last_insertappid."','".$cat_assoc."')");
			} 
			$translation = new OX_Translation ();
			$translated_message = $translation->translate ('App has been added successfully.');
			OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
			?>
			<script type="text/javascript">
			 var text = confirm("App has been successfully added,Do you want to add a Ad unit ?");	
			if (text == true) {
				window.location.replace("manage_adunits.php?affiliateid=<?php echo $_GET['affiliateid'];?>&appid=<?php echo $last_insertappid;?>");
			} else {
				window.location.replace("manage_apps.php?affiliateid=<?php echo $_GET['affiliateid'];?>");				
			}
			</script><?php
		}else 
		{	

			if($name ==""){
				$name=$approw['icon_image'];				
			}			
				
			OA_Dal_Delivery_query("UPDATE `mediation_app_detail` SET `app_name`='".$_POST['app_name']."',package_name='".$_POST['pack_name']."',`app_category1`='".$selcat."',`icon_image`='".$name."',		`icon_image_width`='50',`icon_image_height`='50',				`updated_date`='".$todays_date."' WHERE `appid`='".$_GET['appid']."'");
						
			$cat_sel = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT app_category1 FROM mediation_app_detail WHERE appid =".$_GET['appid']));
			
			$inserted_cat=explode(",",$cat_sel['app_category1']);
			
			OA_Dal_Delivery_query("DELETE FROM mediation_app_category_assoc WHERE appid=".$_GET['appid']);
			
			foreach($inserted_cat as $cat_assoc)
			{
			OA_Dal_Delivery_query("INSERT INTO mediation_app_category_assoc(appid, category_id1) VALUES('".$_GET['appid']."','".$cat_assoc."')");
			}
			$translation = new OX_Translation ();
			$translated_message = $translation->translate ('App updated successfully.');
			OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
			?>
		<script type="text/javascript">
		window.location.replace("manage_apps.php?affiliateid=<?php echo $_GET['affiliateid'];?>");
		</script><?php
		}
	}
?>
 
<html>
		<head>
			<script src="assets/js/multipleselect2.js"></script>
			<link href="assets/css/multipleselect2.css" rel="stylesheet">
			<script src="assets/js/multipleselect2.min.js"></script>

			<script type="text/javascript">
				var jq= $.noConflict(true);
				var _URL = window.URL || window.webkitURL;
				jq(document).ready(function() 
				{
					jq("#app_categories").select2();
					jq("#fileToUpload").change(function(e) 
					{
						var file, img;
						if ((file = this.files[0])) 
						{
							img = new Image();
							console.log(img);
							img.onload = function() 
							{
								if((this.width == 50) && (this.height == 50))
								{
									jq('#blah').attr('src', this.src);
								}else
								{
									alert("Upload image with (50x50) dimensions");
									this.src = '';
									 jq('#fileToUpload').val("");

									return false;
								}
							};
							img.onerror = function() {
								alert( "not a valid file: " + file.type);
							};
							img.src = _URL.createObjectURL(file);
						}
					});
				});
			
			</script>
				
			<style>

				body{
					font-size: 11px;
				}
				div.breadcrumb h3 span.label{
					font-size : 20px;
				}

				.label{
					color: #444;
					font-weight: bold;
					height: 23px;
					line-height: 23px;
					font-size: 11px;
					}
				.span{
					margin-left:50px;
				}
					
				#multi-select-demo{
					margin-left : -16px;	
				}
				
				#thirdLevelHeader div.breadcrumb{
					margin : 0px;
				}
				
			</style>		
		
	</head>
	<body>
		<form method="post" action="" id="form1" runat="server" enctype="multipart/form-data">
			<table width="70%">	
				<tr>
					<td>Platform</td>
					<td>
						<?php
						if($_GET['mode'] == 'edit')
						{
							?><select disabled name='platform_type' id='platform_type' required> <?php
							
						}else{
							
							?><select name='platform_type' id='platform_type' required> <?php				
						}
			
						?>
						<option value="">Select any one</option>  
						<option <?php if ($approw['platform_type'] == '1' ) echo 'selected' ; ?> value="1">Andriod</option>
						<option <?php if ($approw['platform_type'] == '0' ) echo 'selected' ; ?> value="0">iOS</option>
				
						</select>		
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>App Name</td>
					<td>
						<input type="text" name="app_name" required value="<?php echo $approw['app_name'];  ?>" size="40">
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>Package Name</td>
					<td>
						<input type="text" name="pack_name" required value="<?php echo $approw['package_name'];  ?>" size="40">
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>App Categories</td>
					<td>  
						<?php
						$query=OA_Dal_Delivery_query("SELECT app_category1 FROM mediation_app_detail WHERE account_id='".$account_id['account_id']."' and appid = '".$_GET['appid']."'");
						while ($row = OA_Dal_Delivery_fetchAssoc($query))
						{			
							$selected_catgory= explode(",",$row['app_category1']);	
				
						}?>	
					<select class="js-example-basic-multiple" placeholder="Please select categories" required multiple="multiple" id='app_categories' name='app_categories[]'>
					<?php
					$i = -1;
					foreach ($category as $key => $value)
					{	
						$select = in_array($value['value'], $selected_catgory) ? 'selected' : '';
						if ($value['parent'] == "0")
						{
							if ($i > 0)
							{
								echo'</optgroup>';
							}
							$i = 0;
							 echo '<optgroup label="'.$value['name'].'">';
						}else
						{
							echo '<option '.$select.' value="'.$value['value'].'">'.$value['name'].'</option>';
						}
						$i++;	
					}
						echo '</select>';
					?>
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>App Icon<p>(Upload image with 50x50)</p></td>
					<td>
						<div>
							<?php
							if($approw['icon_image'] == '')
							{
								$path = 'assets/images/no-image.png';
							}else
							{
								$img_path = $aConf['webpath']['images'].'/';
								$path1 = $path = $GLOBALS['_MAX']['SSL_REQUEST'] ? "https://".$img_path  : "http://".$img_path;
								$path = $path1.$approw['icon_image'];
							}
							echo '<img id="blah" src="'.$path.'" alt="Image Preview" width=50 height=50 />';
							?>			
						</div>
						<div>
							
							<?php
						if($_GET['mode'] == 'edit')
						{
							?><input type="file" value="<?php echo $approw['icon_image'];?>" name="fileToUpload" id="fileToUpload" > <?php
							
						}else{
							
							?><input type="file" required value="" name="fileToUpload" id="fileToUpload" > <?php				
						}
			
						?>
						</div>
				
					</td> 
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td><input  type="submit" value="Save Changes" name="submit"></td>
				</tr>
			</table>
		</form>
	</body>
</html> 
<?php

	phpAds_PageFooter();
	
?>
