<?php

// Require the initialisation file
$path = dirname(__FILE__);
require_once '../../../../init.php';

// Required files
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';

 if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
	$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);

$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form

$oOptions = new OA_Admin_Option('manage_networks');
$prefSection = "Add Network";

$setPref = $oOptions->getSettingsPreferences($prefSection); 
$title = $setPref[$prefSection]['name'];

$aErrormessage = array();

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Add Network");
phpAds_PageHeader('manage_networks',$oHeaderModel);

$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT account_id from {$table_prefix}affiliates where affiliateid='".$_GET['affiliateid']."'"));

$sel_netrow=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT network_name,country_target,network_type from mediation_add_network where id='".$_GET['id']."'"));

if($_POST['submit']=='Save Changes')
{
	
	$network_name=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT network_name from mediation_networks where network_id='".$_POST['network_list']."'"));
	
	foreach($_POST['net_countries'] as $selcountry1)
	{
		$selcountry_new[] = $selcountry1; 	
	}
	$selcountry = implode(",",$selcountry_new); 

	if($_GET['mode'] == 'add')
	{
		if($_POST['network_list'] == "js" || $_POST['network_list'] == "sdk")
		{
			OA_Dal_Delivery_query("INSERT into mediation_networks(account_id,network_name,status,tot_no_param,is_custom,is_default_net) VALUES('".$account_id['account_id']."','".$_POST['net_name']."','1','0','1','0')");
			
			$last_insertid = OA_Dal_Delivery_insertId();
			
			OA_Dal_Delivery_query("INSERT into mediation_add_network(network_id,account_id,network_name,status,country_target,is_custom,network_type,blocked_status) VALUES('".$last_insertid."','".$account_id['account_id']."','".$_POST['net_name']."','1','".$selcountry."','1','".$_POST['network_list']."','0')");
			
			if($_POST['network_list'] == "js")
			{
				OA_Dal_Delivery_query("INSERT into mediation_networks_param(network_id,parameter_name,is_custom) VALUES('".$last_insertid."','Js','1')");
			}
			if($_POST['network_list'] == "sdk")
			{
				OA_Dal_Delivery_query("INSERT into mediation_networks_param(network_id,parameter_name,is_custom) VALUES('".$last_insertid."','Custom Event Class','1')");
				
				OA_Dal_Delivery_query("INSERT into mediation_networks_param(network_id,parameter_name,is_custom) VALUES('".$last_insertid."','Custom Event Class Data','1')");
			}
				$last_net_id=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT id FROM mediation_add_network WHERE network_id=".$last_insertid));				
				 
				$translation = new OX_Translation ();
				$translated_message = $translation->translate ('Network has been added successfully.');
				OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
				?>
				<script type="text/javascript">
				window.location.replace("list_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&id=<?php echo $last_net_id['id'];?>&networkid=<?php echo $last_insertid;?>");
				</script><?php
		}else
		{
				
			$netw_name = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT network_name FROM mediation_networks WHERE network_id=".$_POST['network_list']));
			 
			OA_Dal_Delivery_query("INSERT INTO mediation_add_network(network_id,account_id,network_name,status,country_target,is_custom,network_type,blocked_status) VALUES('".$_POST['network_list']."','".$account_id['account_id']."','".$netw_name['network_name']."','1','".$selcountry."','0','0','0')");
			
			$last_insertid = OA_Dal_Delivery_insertId();
			
			$last_id=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT network_id FROM mediation_add_network WHERE id=".$last_insertid));
			
			$translation = new OX_Translation ();
			$translated_message = $translation->translate ('Network has been added successfully.');
			OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
						?>
			<script type="text/javascript">
			window.location.replace("list_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&id=<?php echo $last_insertid;?>&networkid=<?php echo $last_id['network_id'];?>");
			</script><?php
		
		}
	}else
	{			
		if($_POST['net_list_hide'] == "js" || $_POST['net_list_hide'] == "sdk")
		{	
			OA_Dal_Delivery_query("UPDATE `mediation_add_network` SET `network_name`='".$_POST['net_name']."',`country_target`='".$selcountry."' WHERE `id`='".$_GET['id']."'");
			
			$med_net=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select network_id from mediation_add_network where id=".$_GET['id']));

			OA_Dal_Delivery_query("UPDATE `mediation_networks` SET `network_name`='".$_POST['net_name']."' WHERE `network_id`='".$med_net['network_id']."'");
		}else
		{		
			OA_Dal_Delivery_query("UPDATE `mediation_add_network` SET `country_target`='".$selcountry."' WHERE `id`='".$_GET['id']."'");
		}
	
			$translation = new OX_Translation ();  
			$translated_message = $translation->translate ('Network updated successfully.');
			OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
			?>
			<script type="text/javascript">
			window.location.replace("manage_networks.php?affiliateid=<?php echo $_GET['affiliateid'];?>");
			</script><?php
	}
}
?>
 
<html>
	<head>
	<script src="assets/js/jquery.min.js"></script>	
	<script src="assets/js/select2.min.js"></script>
	<link rel="stylesheet" href="assets/css/select2.css">
		
		<script type="text/javascript">
			var jq= $.noConflict(true);
			jq(document).ready(function()        
			{
				jq("#net_countries").select2();
				preselected = ['all'];
				jq('#net_countries').on("click", function(e) {
					var selected_element = jq(e.currentTarget);
					var select_val = selected_element.val();
					selected = jq(this).val();
					//~ alert(selected.length);
					//~ if(selected==null || selected.length == 0)
					//~ {
						//~ jq('#net_countries').val('all');
						//~ jq('#net_countries option[value="all"]').attr("selected","selected");
						//~ jq("#net_countries").trigger('change');
					//~ }	
					var difference = [];
					jq.grep(selected, function(el) {
						if (jq.inArray(el, preselected) == -1) difference.push(el);
					});
					
					if((difference == 'all')) {
						jq(this).val('all');
						jq('#net_countries option[value="all"]').attr("selected","selected");
						jq(this).trigger('change');
						preselected = ['all'];
					} else {
						//~ alert(selected);
						//~ jq('#net_countries option[value="all"]').removeAttr('selected');
						$("#net_countries option:first").removeAttr('selected');
						jq(this).trigger('change'); 
						preselected = jq(this).val();
					}
					if(selected==null || selected.length == 0)
					{
						jq('#net_countries').val('all');
						jq('#net_countries option[value="all"]').attr("selected","selected");
						jq("#net_countries").trigger('change');
					}	
				});				
									
					jq("#dvnetwork").hide();
					jq("#spcl_instruction").hide();
							
					var netdet = jq("#network_list").val();
					
					if(netdet == 'js' || netdet == 'sdk')
					{
						jq("#dvnetwork").show();
					}else{
						var networkid = netdet;
						if(networkid != '' && networkid != undefined && networkid != null)	
						{
							jq("#spcl_instruction").show();	
							$.ajax({ 
							type: 'GET', 
							url: 'networkparam.php',                         
							data: {"netid": networkid },
							dataType: 'json',              
							success: function(data)          
								{
									$("#test").html('');
									$.each(data, function( index, value ) {
									$("#test").append("<b><li></b>"+value+" is required for adserving<br>");
									});
								}
							});					
						}
					}
						jq("#network_list").change(function () {
								
						jq("#custom").val("");
						if (jq(this).val() == "js" || jq(this).val() == "sdk") 
							{
								jq("#dvnetwork").show();
								jq("#spcl_instruction").hide();
								} else if($(this).val() == "") {
									jq("#dvnetwork").hide();
									jq("#spcl_instruction").hide();
								}else{
								jq("#dvnetwork").hide();
								jq("#spcl_instruction").show();
								}
						
								var networkid = jq(this).val();
								$.ajax({ 
								type: 'GET', 
								url: 'networkparam.php',                         
								data: {"netid": networkid },
								dataType: 'json',              
								success: function(data)          
								{
								$("#test").html('');
								$.each(data, function( index, value ) {
								  console.log(value);
								  $("#test").append("<b><li></b>"+value+" is required for adserving<br>");
								});
								}
								});
							});
		  	});
		  	function validateForm() {
					var x = jq("#network_list").val();
						if (x == 'js' || x == 'sdk') {
						var a =jq("#custom").val();
						if(a == '')
						{
						alert("Network Name must be filled out");
						return false;						
					}
					}
				} 
		</script> 
		<style type="text/css">
			body{
					font-size: 11px;
				}
			div.breadcrumb h3 span.label{
					font-size : 20px;
				}
			.label{
					color: #444;
					font-weight: bold;
					height: 23px;
					line-height: 23px;
					font-size: 11px;
				}		
		</style>
	</head>
	<body>
		<form  action='' method='post' name='myForm' id='addnetworkform' class='add-networks-form'  onsubmit="return validateForm()"  enctype='multipart/form-data'>
			<table width="70%">	
				<tr>
					<td>Network</td>
						<td>
							<?php
						if($_GET['mode'] == 'edit')
						{
							
							$fet_net=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT network_type from mediation_add_network WHERE `id`='".$_GET['id']."'"));										
							?>
							<input type=hidden name='net_list_hide' id='network_list_1' value="<?php echo $fet_net['network_type']  ?>" >
							<select disabled name='network_list' id='network_list' required>  <?php
							
						}else{
							
							?><select name='network_list' id='network_list' required>  <?php				
						}
						?>
								<option value="">Choose Network</option>  
							<?php 
							
							$net_select=OA_Dal_Delivery_query("SELECT a.`network_name`,b.network_name,a.network_id FROM `mediation_add_network` as a,mediation_add_network as b WHERE a.network_id = b.network_id and a.account_id =".$account_id['account_id']);	
							$disabled=[];
							while($dis=OA_Dal_Delivery_fetchAssoc($net_select))
								{
									$disabled[]=$dis['network_id'];
									
							}
							$net=OA_Dal_Delivery_query("select network_name,network_id from mediation_networks where is_default_net = '0' and  is_custom='0' ");
							
							
							while($net_row=OA_Dal_Delivery_fetchAssoc($net))
							{
							$selected = ($sel_netrow['network_name'] == $net_row['network_name']) ? 'selected' : '';
						 
							$filter = (in_array($net_row['network_id'],$disabled)) ? 'disabled' : '';										
							
							echo '<option '.$filter.' '.$selected.' value="'.$net_row['network_id'].'">'.$net_row['network_name'].'</option>';
							}
							
							
							?>
							<!-- <option <?php if ($sel_netrow['network_type'] == 'js' ) echo 'selected' ; ?> value="js">Custom Javascript Network</option> 
							<option <?php if ($sel_netrow['network_type'] == 'sdk') echo 'selected' ; ?> value="sdk">Custom SDK Network</option>  -->
							</select>	
						</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr id="dvnetwork"  style="display: none">
					<td>Network Name</td>
						<td> 
							<?php
						if($_GET['mode'] == 'edit') 
						{
							?><input id="custom" value="<?php echo $sel_netrow['network_type'] == 'sdk' || $sel_netrow['network_type'] == 'js'? $sel_netrow['network_name'] : ''; ?>" type="text" id="txtnetworkname" name="net_name" ><?php
							
						}else{
							 
							?><input id="custom" value="<?php echo $sel_netrow['network_type'] == 'sdk' || $sel_netrow['network_type'] == 'js'? $sel_netrow['network_name'] : ''; ?>" type="text" id="txtnetworkname" name="net_name" >  <?php				
						}
			
						?>
							
					</td>
				</tr>
				<tr id="spcl_instruction">
					<td><b>Special Instruction :</b></td>
					<td>
						<?php
						echo '<div id="test"></div>';	
						?>
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>Geo Targetting</td>
					<td>
						 
						<select class="js-example-basic-multiple" multiple="multiple" id='net_countries' name='net_countries[]' style="width:300px;" >
							<option value="all" <?php echo $sel_netrow=='' || $sel_netrow['country_target']=='all' ? 'selected' : "" ?> >All Country</option>
							<?php 
							$country=OA_Dal_Delivery_query("select name,value from mediation_conf_targ_country order by name");
							$selectedCountries = explode(',', $sel_netrow['country_target']);							
							while($country_row=OA_Dal_Delivery_fetchAssoc($country))
							{
								$select = in_array($country_row['value'], $selectedCountries) ? 'selected' : '';
								
								echo '<option '.$select.' value="'.$country_row['value'].'">'.$country_row['name'].'</option>';
							}
							?></select>
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td><input type="submit" value="Save Changes" name="submit"></td>
				</tr>
			</table>
		</form>
	</body>
</html>
<?php

phpAds_PageFooter();

?>
