<?php


// Require the initialisation file
//DAC102 - Connect DB
 $path = dirname(__FILE__); 
  	require_once '../../../../init.php';
//DAC102 - Connect DB.

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';

//DAC connect DB

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
     require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
//DAC connect DB
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);

$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form
$oOptions = new OA_Admin_Option('manage_networks');
$prefSection = "Networks"; 
 
$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Create a new option object for displaying the setting's page's HTML form
$aErrormessage = array();

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Networks");
phpAds_PageHeader('manage_networks',$oHeaderModel);

$url=$GLOBALS['_MAX']['CONF']['webpath']['admin'];

$net_list = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT network_name,network_id,account_id from mediation_add_network where id ='".$_GET['id']."'"));

$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT account_id from {$table_prefix}affiliates where affiliateid='".$_GET['affiliateid']."'"));

$app_det = OA_Dal_Delivery_query("SELECT appid,app_name,platform_type,icon_image from mediation_app_detail where account_id='".$account_id['account_id']."'");

if($_POST['submit']=='Save Changes')
{
	
	$par_val=OA_Dal_Delivery_query("SELECT * from mediation_net_zone_paramater where network_id=".$_GET['networkid']." and zone_id=".$adunit_det['adunit_id']." and parameter_id=".$total_parameters['id']);
	
	 while($app_detrow = OA_Dal_Delivery_fetchAssoc($app_det))
	{ 
		
		$adunit_det =OA_Dal_Delivery_query("SELECT adunit_id,adunit_name,dj_mobile_ad_type from mediation_app_adunit_details where app_id=".$app_detrow['appid']);
		
			
		if(OA_Dal_Delivery_numRows($adunit_det)>0)
		{
			
			while($adunit_list = OA_Dal_Delivery_fetchAssoc($adunit_det))
			{			
				$total_parameters = OA_Dal_Delivery_query("SELECT * from mediation_networks_param where network_id ='".$net_list['network_id']."'");
				//~ echo"<pre>"; 
				
				while($param_list = OA_Dal_Delivery_fetchAssoc($total_parameters))
				{ 						
					$submitKeyExists = "p_".$adunit_list['adunit_id']."_".$param_list['id'];				
					
					$_chk = $_POST["p_".$adunit_list['adunit_id']."_".$param_list['id']];
					
					$par_val=OA_Dal_Delivery_query("SELECT * from mediation_net_zone_paramater where network_id=".$_GET['networkid']." and zone_id=".$adunit_list['adunit_id']." and parameter_id=".$param_list['id']);
					
						
					if(OA_Dal_Delivery_numRows($par_val)>0)
					{	
						if(array_key_exists($submitKeyExists,$_POST))
						{	
							if($_chk != '')
							{
								OA_Dal_Delivery_query("UPDATE `mediation_net_zone_paramater` SET `parameter_value`='".$_POST["p_".$adunit_list['adunit_id']."_".$param_list['id']]."' WHERE network_id=".$_GET['networkid']." and zone_id=".$adunit_list['adunit_id']." and parameter_id=".$param_list['id']);						
							}
							else
							{						
								OA_Dal_Delivery_query("DELETE FROM `mediation_net_zone_paramater` WHERE network_id=".$_GET['networkid']." and zone_id=".$adunit_list['adunit_id']." and parameter_id=".$param_list['id']."");
								
								OA_Dal_Delivery_query("DELETE FROM `mediation_net_zone_assoc` WHERE network_id=".$_GET['networkid']." and zone_id=".$adunit_list['adunit_id']." and account_id=".$account_id['account_id']."");	
								
								OA_Dal_Delivery_query("DELETE FROM `mediation_segment_assoc` WHERE network_id=".$_GET['networkid']." and adunit_id=".$adunit_list['adunit_id']." and account_id=".$account_id['account_id']."");					
							}
							?>
							<script type="text/javascript">
							window.location.replace("manage_networks.php?affiliateid=<?php echo $_GET['affiliateid'];?>");
							</script><?php
						}
					}else
					{
								
																
						if($_chk != '')
						{
							OA_Dal_Delivery_query("INSERT INTO `mediation_net_zone_paramater` (network_id,zone_id,parameter_id,parameter_value,account_id) VALUES ('".$_GET['networkid']."','".$adunit_list['adunit_id']."','".$param_list['id']."','".$_POST["p_".$adunit_list['adunit_id']."_".$param_list['id']]."','".$net_list['account_id']."')"); 
					
							   										
							OA_Dal_Delivery_query("INSERT INTO `mediation_net_zone_assoc`(`network_id`, `zone_id`, `account_id`) VALUES ('".$_GET['networkid']."','".$adunit_list['adunit_id']."','".$net_list['account_id']."')");		
						}
					}
				}	
							
			}
			
		}
					
	}
	$net_int = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT * FROM mediation_segments WHERE account_id =".$account_id['account_id']));	
				
		$SQl .= "SELECT * FROM 				
		mediation_net_zone_assoc as za 
		JOIN mediation_app_adunit_details as ad
		ON za.zone_id=ad.adunit_id 
		JOIN mediation_app_detail as ma
		ON ad.app_id=ma.appid 
		JOIN mediation_add_network  as an 
		ON an.network_id=za.network_id
		AND an.account_id ='".$account_id['account_id']."' 
		WHERE 1 
		AND ad.is_deleted=0 
		AND ma.is_deleted=0 
		AND za.account_id='".$account_id['account_id']."'";

		if($net_int['seg_platform'] != 'all')
		{
			$SQl .= " AND ma.platform_type IN ('".$net_int['seg_platform']."')";
		}
		if($net_int['seg_apps'] != 'all')
		{
			$SQl .= " AND ma.appid IN (".$net_int['seg_apps'].")";
		}
		if($net_int['seg_format'] != 'all')
		{
			$SQl .= " AND ad.ad_format IN (".$net_int['seg_format'].")";
		}
		if($net_int['seg_geo'] != 'all')
		{
			$se_geo = implode("|",$net_int['seg_geo']);
			$SQl .= " AND CONCAT(',',an.country_target, ',') REGEXP ',(".$net_int['seg_geo']."),'";
		}
		
		$SQl .= " GROUP BY zone_id,an.network_id,ad.app_id";

		$query = OA_Dal_Delivery_query($SQl);

		if(OA_Dal_Delivery_numRows($query)>0)
		{
			while($segassoc=OA_Dal_Delivery_fetchAssoc($query))
			{
				
				
				$adm_cpm=OA_Dal_Delivery_fetchAssoc(OA_DAL_Delivery_query("SELECT config_value FROM mediation_markplace_config WHERE config_id='1'"));


				$existing_record = OA_DAL_Delivery_query("SELECT * FROM mediation_segment_assoc WHERE account_id = ".$account_id['account_id']." AND segment_id = ".$net_int['id']." AND app_id = ".$segassoc['appid']." AND adunit_id = ".$segassoc['adunit_id']." AND network_id = ".$segassoc['network_id']." ");

				if(OA_Dal_Delivery_numRows($existing_record) == 0)				
				{
					OA_DAL_Delivery_query("INSERT INTO mediation_segment_assoc(account_id, segment_id,app_id,adunit_id,network_id,ecpm,status) VALUES('".$account_id['account_id']."','".$net_int['id']."','".$segassoc['appid']."','".$segassoc['adunit_id']."','".$segassoc['network_id']."','".$adm_cpm['config_value']."','1')");
				}
			}
		}
	
			
				
								
	$translation = new OX_Translation ();
	$translated_message = $translation->translate ('Inventory has been added successfully!');
	OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
	?>
	<script type="text/javascript">
	window.location.replace("manage_networks.php?affiliateid=<?php echo $_GET['affiliateid'];?>");
	</script><?php
}

	
?>
<head>

<style>
	body{
			font-size: 11px;
		}
	div.breadcrumb h3 span.label{
			font-size : 20px;
		}
	.label{
			color: #444;
			font-weight: bold;
			height: 23px;
			line-height: 23px;
			font-size: 11px;
			}
			
	#data_search {
	width: 30%;
	height:40px;
	box-sizing: border-box;
	border: 2px solid #ccc;
	border-radius: 4px !important;
	font-size: 13px;
	background-color: white;
	background-image: url('assets/images/search.png');
	background-position: 3px 3px; 
	background-repeat: no-repeat;
	padding: 12px 20px 12px 40px;
	-webkit-transition: width 0.4s ease-in-out;
	transition: width 0.4s ease-in-out;
	}
	.select2-choice {
		
		height: 40px !important;
		margin-top: 0;
		font-size: small;
		color: #7f8990 !important;
		font-weight: lighter;
		padding: 8px !important;
		border: 2px solid #ccc;
		border-radius: 4px !important;
	}
	#s2id_select_format_filter {
		vertical-align: top;
	}
	#s2id_select_apps {
		vertical-align: top;
	}
	
	.select2-container .select2-choice .select2-arrow{
		background:none!important;
		padding-top: 7px;
	}
	
	td{
		border-right: 2px solid #dddddd;
		border-bottom: 2px solid #dddddd;
		padding:10px;
		}

	thead tr td {
		font-weight: normal;
		text-align: center;
		align: center;
		}
</style>

<!--
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
-->


		<script src="assets/js/jquery.min.js"></script>	
		<script src="assets/js/select2.min.js"></script>
		<link rel="stylesheet" href="assets/css/select2.css">

<script type="text/javascript">
	var jq= $.noConflict(true);
		jq(document).ready(function()        
		{
						
		});
		
	
		function filter_search(){
		
		var search = jq("#data_search").val();
		var platformid = 1;
		var format = jq("#select_format_filter").val();
		var value= <?php echo $_GET['networkid'];?>;
		var affiliateid = <?php echo $_GET['affiliateid'];?>;
		var accountid = jq("#aff_acct").val();
		var totnum = jq("#totnum").val();
		
		var datas = "id="+value+"&format="+format+"&search="+search+"&platform="+platformid+"&aid="+affiliateid+"&atid="+accountid+"&totnum="+totnum;
		 // alert(datas);
		
		jq.ajax({
				type:'POST',
				url: 'fetch_adblock.php',
				data:(datas),
				success: function(data){
					jq("#example tbody tr").remove();
					jq("#example tbody").append(data);							
					}, 
				}); 	
	}
</script>
</head>
<body>
	
<p style = "font-size:18px;"><?php echo $net_list['network_name']; ?></p>

<p>Set Up <?php echo $net_list['network_name']; ?></p></br>

<h3>Set Up Your Inventory</h3></br>

<form  action='' method='post' name='adblock'>
<table border='0' width='100%' cellpadding='0' cellspacing='0'>
<tr>
	<td style = "border-right: 0px;"> 
		<input type="text" name="search" placeholder="Find apps and adunits" id="data_search" oninput=filter_search()>
		&nbsp;&nbsp;&nbsp;&nbsp;
		
		<!-- <select name="select_apps" id="select_apps" class="js-example-responsive  input-xlarge select2-choice" data-nosearch="true" data-placeholder="" data-rule-required="true" onChange=filter_search()>	
			
			<option value="all" selected="selected" >All Platform</option>
			<option value="0">IOS</option>
			<option value="1">Android</option>
		</select>  -->
		&nbsp;&nbsp;&nbsp;&nbsp;
		
		<select name="select_format" style="width: 23%" id="select_format_filter" class="js-example-responsive input-xlarge select2-choice" data-nosearch="true" data-placeholder="" data-rule-required="true" onChange=filter_search()>
			<option value="all" selected="selected">All Formats</option>
			<option value="0">Banner</option>
			<!-- <option value="1">Medium</option> -->
			<option value="1">Interstitial</option>
			<option value="9">Native</option>
			<option value="8">Rewarded</option>
			<!-- <option value="5">Custom</option> -->
			<!-- <option value="6">Leaderboard</option> -->
			<!-- <option value="7">Skyscraper</option> -->
		</select> 
	</td>
	
</tr>

<table width="100%"  id="example" class="display">
	<div id="loadpart">
		<thead>
			<tr>
				
				<td style="font-size:14px;border-left: 2px solid #dddddd;"><b>APP & ADUNIT</b></td>
			<?php 
			$total_parameters = OA_Dal_Delivery_query("SELECT * FROM mediation_networks_param WHERE network_id ='".$_GET['networkid']."'"); 
			$totnum = OA_Dal_Delivery_numRows($total_parameters);
			while($param_lis = OA_Dal_Delivery_fetchAssoc($total_parameters))
			{?>
				<td style="font-size:14px;"><b><?php echo $param_lis['parameter_name'];?></b></td><?php
		    }?></tr>
		</thead>
		<?php
		$fetchall=OA_Dal_Delivery_query("SELECT *,unit.* FROM mediation_app_detail as app LEFT JOIN ( SELECT * FROM mediation_app_adunit_details WHERE (is_deleted != 1 OR is_deleted IS NULL)) as unit ON app.appid=unit.app_id WHERE app.is_deleted != 1 AND app.account_id=".$account_id['account_id']);
		
	
		if(OA_Dal_Delivery_numRows($fetchall)>0)
		{
			$appname = '';
			while($fetchall_row = OA_Dal_Delivery_fetchAssoc($fetchall))
			{
				if($fetchall_row['app_name'] != $appname){
			?>
			<tr>
				<td style="font-size:14px;border-left: 2px solid #dddddd;" colspan="<?php echo OA_Dal_Delivery_numRows($total_parameters) + 1; ?>">
				<?php 	
						
				$path = $GLOBALS['_MAX']['SSL_REQUEST'] ? "https://".$GLOBALS['_MAX']['CONF']['webpath']['images']."/" : "http://".$GLOBALS['_MAX']['CONF']['webpath']['images']."/";
				?>
				
				<img src=<?php echo $path.$fetchall_row['icon_image']; ?> alt="" width="38" heigh="38" style="float: left;"><label style="float:left; margin: 10px;">	
				<b>				
				<?php
				echo $fetchall_row['app_name'];?></b> <small> <?php if($fetchall_row['platform_type']== 1){ echo "-Andriod"; }else{echo "-IOS";}?> </small> </label>
				
				</td>
			</tr>
			<?php $appname = $fetchall_row['app_name'];}?>
			<tr>
				<td style="font-size:12px;border-left: 2px solid #dddddd;"><?php 
				
				if($fetchall_row['adunit_name'] != '' and $fetchall_row['adunit_name'] != '-' )
				{
					echo $fetchall_row['adunit_name'];?><small> <?php echo "-".$fetchall_row['dj_mobile_ad_type'];?> </small> </label>
				</td>
					<?php 
					
					$total_parameters = OA_Dal_Delivery_query("SELECT * FROM mediation_networks_param WHERE network_id ='".$net_list['network_id']."'"); 
					
					while($param_list = OA_Dal_Delivery_fetchAssoc($total_parameters))
					{
						$par_val=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT zone_id,parameter_id,parameter_value FROM mediation_net_zone_paramater WHERE network_id=".$_GET['networkid']." and zone_id=".$fetchall_row['adunit_id']." and parameter_id=".$param_list['id']));
					?>
						<td style="text-align:center;border: 2px solid #dddddd;"><textarea name="p_<?php echo $fetchall_row['adunit_id'];?>_<?php echo $param_list['id'];?>" cols="10" placeholder="<?php echo $param_list['parameter_name'];?>" style="margin: 0px 0px 10px; width: 180px;"><?php echo $par_val['parameter_value']; ?></textarea></td>
						<?php
					}?> 
			</tr>
						<?php	
				}else
				{			  		
						?><td style="font-size:14px;border-left: 2px solid #dddddd;" colspan="<?php echo OA_Dal_Delivery_numRows($total_parameters) + 1; ?>"><?php	
						echo "No Adblock Under This App";
						?></td>	<?php 
				}
					
			}
		}else
		{
			?>
			<td colspan='4'><center><img class="errormessage" src="assets/images/info.gif" width="16" height="16" border="0" align="absmiddle">
			<?php echo "No data."; ?>
			</center></td>
			<?php
		} 
		?>
		<tr>
			<td style = "border-bottom: 0px;border-right: 0px;"><input type="submit" value="Save Changes" name="submit">
			<input type="hidden" id="aff_acct" name="aff_acct" value="<?php echo $account_id['account_id'];?>">	
			<input type="hidden" name="totnum" id="totnum" value="<?php echo $totnum; ?>"></td>
		</tr>	
		</div>
</table>			
</body>
