<?php

 $path = dirname(__FILE__);
  	require_once '../../../../init.php';

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';

	//DAC connect DB

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
     require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT account_id FROM {$table_prefix}affiliates WHERE affiliateid='".$_GET['affiliateid']."'"));
$account_id = $account_id['account_id'];
$adunit_id = $_GET['zoneid'];
$path = $GLOBALS['_MAX']['SSL_REQUEST'] ? "https://".$GLOBALS['_MAX']['CONF']['webpath']['admin']."/" : "http://".$GLOBALS['_MAX']['CONF']['webpath']['admin']."/";

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);

$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form

$oOptions = new OA_Admin_Option('manage_adunits');
$prefSection = "Adunits List";

$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Create a new option object for displaying the setting's page's HTML form

$aErrormessage = array();

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Ad Source");
phpAds_PageHeader('manage_adunits',$oHeaderModel);

?>

<script type="text/javascript">

	function change_ecpm(ecpmval,segasoid,affid,adunitid,zoneid)
	{
		window.location.replace("manage_adsources.php?affiliateid="+affid+"&segasoid="+segasoid+"&mode=ecpm&ecpmval="+ecpmval+"&adunit_id="+adunitid+"&zoneid="+zoneid);
	}

</script>

<?php 

	if(isset($_GET['segment_id']) && $_GET['mode']=='pause')
	{
		OA_Dal_Delivery_query("UPDATE mediation_segment_assoc set status=0 WHERE segment_id='".$_GET['segment_id']."' AND adunit_id='".$adunit_id."' AND account_id= '".$account_id."' AND app_id='".$_GET['app_id']."' AND network_id='".$_GET['network_id']."'");
	}
	if(isset($_GET['segasoid']) && $_GET['mode']=='ecpm')
	{
		OA_Dal_Delivery_query("UPDATE mediation_segment_assoc set ecpm='".$_GET['ecpmval']."' WHERE id='".$_GET['segasoid']."'");
	}
	$url=$GLOBALS['_MAX']['CONF']['webpath']['admin'];
	$pathvar="add_adunits.php?mode=add";

	$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
	$config_qry = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT `config_value` FROM mediation_markplace_config WHERE `config_key` = 'market_place_setting'"));
	
	$marketstatus = $config_qry['config_value'];
?>

<link rel="stylesheet" type="text/css" href="assets/css/jquery.dataTables.min.css" />
<script src="assets/js/jquery-1.12.4.js"></script>
<script src="assets/js/jquery.dataTables.min.js"></script>
<script type="text/javascript">
	var jq162 = jQuery.noConflict( true );
	jq162(document).ready(function() {
	    jq162('#example').DataTable();
	} );
</script>

<!--  code here -->
<table border='0' width='100%' cellpadding='0' cellspacing='0'>
<tr><td height='25' colspan='3'><b>Manage Ad Source</b>&nbsp;&nbsp;&nbsp;<!--<a href="oxm_inventory_products.php?mode=add">Add Product</a>--></td></tr>
<tr height='1'><td colspan='3' bgcolor='#888888'><img src='<?=$path;?>assets/images/break.gif' height='1' width='100%'></td></tr>
<tr><td height='10' colspan='3'>&nbsp;</td></tr>
<tr><td height='10' colspan='3'>
<table width="100%"  id="example" class="display">

<?php

	if($marketstatus=='Enabled')
	{
		$getinvres = OA_Dal_Delivery_query("SELECT s.id as segment_id,s.seg_name,IF(sa.ecpm is NULL or sa.ecpm='0.000000',s.ecpm,sa.ecpm) as rate, s.seg_type as type,sa.status as status,an.network_id,an.network_name,sa.app_id as appid,sa.id AS segasoid FROM mediation_segments as s JOIN mediation_segment_assoc as sa ON sa.adunit_id='".$adunit_id."' AND s.id=sa.segment_id JOIN mediation_networks as an ON sa.network_id=an.network_id WHERE sa.status=1 AND sa.account_id= '".$account_id."' GROUP BY an.network_id,sa.adunit_id,s.id");
	}
	else
	{
		$getinvres = OA_Dal_Delivery_query("SELECT s.id as segment_id,s.seg_name,IF(sa.ecpm is NULL or sa.ecpm='0.000000',s.ecpm,sa.ecpm) as rate, s.seg_type as type,sa.status as status,an.network_id,an.network_name,sa.app_id as appid,sa.id AS segasoid FROM mediation_segments as s JOIN mediation_segment_assoc as sa ON sa.adunit_id='".$adunit_id."' JOIN mediation_add_network as an ON sa.network_id=an.network_id WHERE s.account_id= '".$account_id."' AND sa.status=1 AND sa.is_default=0 GROUP BY an.network_id,sa.adunit_id,s.id");
	}

	if(OA_Dal_Delivery_numRows($getinvres)>0)
	{?>
		<thead>
			<tr>
				<td style="font-size:12px;"><b>NETWORK NAME</b></td>
				<td style="font-size:12px;"><b>SEGMENT NAME</b></td>
				<td style="font-size:12px;"><b>TYPE</b></td>
				<td style="font-size:12px;"><b>STATUS</b></td>
				<td style="font-size:12px;"><b>RATE</b></td>
				<td style="font-size:12px;"><b>ACTIONS</b></td>
			</tr>
		</thead><?php
		while($getinvrow = OA_Dal_Delivery_fetchAssoc($getinvres))
		{
			$val=array_filter($getinvrow);
			$ad_format = $val['ad_format'];?>
			<tr>
				<td style="font-size:12px;"><?php echo $val['network_name'];?></td>
				<td style="font-size:12px;"><?php echo $val['seg_name'];?></td>
				<td style="font-size:12px;"><?php if($val['type']==1)
				{
					echo 'Segment';
				}
				else if($val['type']==0)
				{
					echo 'Market place';
				}
				else
				{
				}?></td>
				<td style="font-size:12px;"><?php if($val['status']==1)
				{?>
					<label style="color:green;">Running</label><?php
				}
				else if($val['status']==0)
				{?>
					<label style="color:#f00;">Paused</label><?php
				}
				else
				{
				}?></td>
				<td style="font-size:12px;"><input type="text" value="<?php echo number_format($val['rate'],2);?>"  style="height:30px;width:70px;" onblur="change_ecpm(this.value,<?php echo $val['segasoid'];?>,<?php echo $_GET['affiliateid'];?>,<?php echo $adunit_id;?>, <?=$_GET['zoneid']?>)"/></td>
				
				<td style="font-size:12px;">
					&nbsp;&nbsp;&nbsp;
					<?php if($val['type'] == 0){ echo "No actions"; }else{?>
					<a href="manage_adsources.php?segment_id=<?php echo $val['segment_id'];?>&affiliateid=<?php echo $_GET['affiliateid'];?>&mode=pause&adunit_id=<?php echo $adunit_id;?>&network_id=<?php echo $val['network_id'];?>&app_id=<?php echo $val['appid'];?>&zoneid=<?=$_GET['zoneid']?>"><input type="button" value="Pause" /></a><?php } ?>
				</td>
			</tr><?php
		}
	}
	else{
        
        ?>
        <td>&nbsp;&nbsp;&nbsp;</td>    
        <td>&nbsp;&nbsp;&nbsp;</td>    
        <td>&nbsp;&nbsp;&nbsp;</td>    
        <td><img class="errormessage" src="assets/images/info.gif" width="16" height="16" border="0" align="absmiddle">
        <?php
        echo "No Ad source has been found."; ?></td><?php
    }




phpAds_PageFooter();

?>
