<?php

// Require the initialisation file
//DAC102 - Connect DB

$path = dirname(__FILE__);
require_once '../../../../init.php';
//DAC102 - Connect DB.

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';

//DAC connect DB

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
     require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
//DAC connect DB
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];


$qry = OA_Dal_Delivery_Query("SELECT affiliate_type, is_mediation FROM  {$table_prefix}affiliates WHERE `affiliateid` = {$affiliateid}");
while($row = OA_Dal_Delivery_fetchAssoc($qry)){
	$affiliate_type = $row['affiliate_type'];
	$is_mediation = $row['is_mediation'];
}

if($affiliate_type != 1 && $is_mediation != 1){
	phpAds_PageHeader(1);
	echo "<b>Please make sure you have enable Mediation.</b>";
	exit;
	//~ exit;
}
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
//~ OA_Permission::enforceAccessToObject('affiliates', $affiliate_type);
//~ OA_Permission::enforceAccessToObject('affiliates', $is_mediation);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);

$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form

$oOptions = new OA_Admin_Option('manage_networks');
$prefSection = "Networks List";

$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Create a new option object for displaying the setting's page's HTML form
$aErrormessage = array();

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Networks List"); 
phpAds_PageHeader('manage_networks',$oHeaderModel);

$url=$GLOBALS['_MAX']['CONF']['webpath']['admin']; 

$pathvar="add_networks.php?affiliateid={$_GET['affiliateid']}&mode=add";

$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT account_id FROM {$table_prefix}affiliates WHERE affiliateid='".$_GET['affiliateid']."'"));
$getnetworks = OA_Dal_Delivery_query("SELECT id,network_id,status,network_name FROM mediation_add_network WHERE account_id = '".$account_id['account_id']."'");
$network_count = OA_Dal_Delivery_numRows($getnetworks);



?>

  
<link rel="stylesheet" type="text/css" href="assets/css/jquery.dataTables.min.css" />
<script src="assets/js/jquery-1.12.4.js"></script>
<script src="assets/js/jquery.dataTables.min.js"></script>
<script type="text/javascript">
	var jq162 = jQuery.noConflict( true );
jq162(document).ready(function() {
    jq162('#example').DataTable();
} );
</script>
<!--  code here -->
<table border='0' width='100%' cellpadding='0' cellspacing='0'>
<tr><td height='25' colspan='3'><b>Manage Network</b>&nbsp;&nbsp;&nbsp;</td></tr>
<tr height='1'><td colspan='3' bgcolor='#888888'><img src='assets/images/break.gif' height='1' width='100%'></td></tr>
<tr><td height='10' colspan='3'>&nbsp;</td></tr>
<tr><td height='10' colspan='3'></td></tr></table>
<table width="100%"  id="example" class="display">
<?php

//~UPDATE NETWORK STATUS

if(isset($_GET['id']) && $_GET['mode']!='edit' && $_GET['mode']=='pause')
{
	OA_Dal_Delivery_query("UPDATE mediation_add_network set status=".$_GET['status']." WHERE id=".$_GET['id']);
}

if(isset($_GET['id']) && $_GET['mode']!='edit' && $_GET['mode']=='run')
{
	OA_Dal_Delivery_query("UPDATE mediation_add_network set status=".$_GET['status']." WHERE id=".$_GET['id']);
}

//~DELETE MEDIATION NETWORKS

if(isset($_GET['networkid']) && $_GET['mode']!='edit' && !(isset($_GET['mode'])) )
{
	OA_Dal_Delivery_query("DELETE FROM mediation_add_network WHERE network_id='".$_GET['networkid']."' and account_id = '".$account_id['account_id']."' ");
	
	OA_Dal_Delivery_query("DELETE FROM mediation_networks WHERE network_id='".$_GET['networkid']."' and account_id = '".$account_id['account_id']."'");
	
	OA_Dal_Delivery_query("DELETE FROM mediation_networks_param WHERE network_id='".$_GET['networkid']."' and is_custom='1'");
	
	OA_Dal_Delivery_query("DELETE FROM mediation_net_zone_assoc WHERE network_id='".$_GET['networkid']."' and account_id = '".$account_id['account_id']."'");
	
	OA_Dal_Delivery_query("DELETE FROM mediation_net_zone_paramater WHERE network_id='".$_GET['networkid']."' and account_id = '".$account_id['account_id']."'");
			
	// $translation = new OX_Translation ();
	// $translated_message = $translation->translate ('Network deleted successfully.');
	// OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);

} 

$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT account_id FROM {$table_prefix}affiliates WHERE affiliateid='".$_GET['affiliateid']."'"));
$getnetworks = OA_Dal_Delivery_query("SELECT id,network_id,status,network_name FROM mediation_add_network WHERE account_id = '".$account_id['account_id']."'");
$network_count = OA_Dal_Delivery_numRows($getnetworks);


	if($network_count == 0)
	{ 
?>
		<div id="thirdLevelTools" style="float:left;">
			<div class="messagePlaceholder" id="messagePlaceholder"></div>
			<ul class="contextContainer">
	            <li>
					<a href="<?php echo $pathvar; ?>"  class="buttonLink">
	                  <span>Add Networks</span>
					</a>
				</li>
	        </ul>
		</div>

<?php } 
		if($network_count > 0)
		{?>
			<thead>
				<tr> 
					<td style="font-size:12px;"><b>NETWORK NAME</b></td>
					<td style="font-size:12px;"><b>STATUS</b></td>
					<td style="font-size:12px;"><b>ACTIONS</b></td>
				</tr>
			</thead><?php
				
				while($getnetworkrow = OA_Dal_Delivery_fetchAssoc($getnetworks))
				{
					$val=array_filter($getnetworkrow);
					?>
					<tr>
						<td style="font-size:12px;"><a href="list_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&id=<?php echo $val['id'];?>&networkid=<?php echo $val['network_id'];?>"><?php echo $val['network_name'];?></a>
						</td>
						<td style="font-size:12px;">
							<?php 
							$getnetstatus = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT `status` FROM `mediation_networks` WHERE `network_id` = '".$val['network_id']."'"));
							
							$getpubnetstatus = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT `blocked_status` FROM `mediation_add_network` WHERE `network_id` = '".$val['network_id']."'"));
							
							
			
							if($getnetstatus['status'] == '0' || $getpubnetstatus['blocked_status'])
							{
								echo "<span style=color:red;>Blocked</span>";
							}else
							{
							if($val['status'] == '1'){

							echo "<span style=color:green;>Active</span>";
							
							} else {
								
							echo "<span style=color:red;>Paused</span>";
								}
							}
							?>
						</td>
						<td style="font-size:12px;">
							&nbsp;&nbsp;&nbsp;
							<?php 
							if($getnetstatus['status'] == '0' || $getpubnetstatus['blocked_status'])
							{
								echo "<span style=color:red;>This one currently blocked by admin,contact your administrator.</span>"; 
							}else
							{
							if($val['status'] == '1'){?>
							<a href="manage_networks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&networkid=<?php echo $val['network_id'];?>&id=<?php echo $val['id'];?>&status=0&mode=pause"><input type="button" value="Pause this network" /></a>
							<?php } else{?>
							<a href="manage_networks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&networkid=<?php echo $val['network_id'];?>&id=<?php echo $val['id'];?>&status=1&mode=run"><input type="button" value="Run this network" /></a>&nbsp;&nbsp;&nbsp;
							<?php } ?>
							<a href="list_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&id=<?php echo $val['id'];?>&networkid=<?php echo $val['network_id'];?>"><input type="button" value="Manage" /></a>&nbsp;&nbsp;&nbsp;
							<a href="add_networks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&id=<?php echo $val['id'];?>&mode=edit"><input type="button" value="Edit" /></a>&nbsp;&nbsp;&nbsp;
							<a href="manage_networks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&networkid=<?php echo $val['network_id'];?>" onclick="return confirm('Are you sure you want to delele this Network?')"><input type="button" value="Delete" /></a>
							<?php } ?>
						</td>
					</tr><?php
				}
		}
		else{?>
                <td>&nbsp;&nbsp;&nbsp;</td>    
                <td>&nbsp;&nbsp;&nbsp;</td>    
                <td>&nbsp;&nbsp;&nbsp;</td>    
                <td><img class="errormessage" src="assets/images/info.gif" width="16" height="16" border="0" align="absmiddle" >
<?php
				echo "There are currently no networks available"; ?></td>
</table>
				
<?php
            }
phpAds_PageFooter();
?>
